Corel AfterShot Pro 3 and OpenSUSE Leap 15.0

AfterShot Pro General Questions & Getting Started Forum
Post Reply
FlashPhoto
Posts: 3
Joined: Fri Nov 10, 2017 8:36 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit

Corel AfterShot Pro 3 and OpenSUSE Leap 15.0

Post by FlashPhoto »

Hello,

I'm a registered user of "Corel AfterShot Pro 3" and i installed "OpenSUSE Leap 15.0" yesterday.
When i try to install "Corel AfterShot Pro 3" (sudo zypper in AfterShotPro3.rpm) i get a message that "AfterShotPro3-340297:3.4-0.297.x86_64" needs "libgstapp-0.10.so.0()(64bit)"
"libgstapp-0.10.so.0()(64bit)" isn't in the OpenSUSE repo's.
Is there a way to install this application in "OpenSUSE Leap 15.0".
Who can help me solve this problem ?
Thanks :-)

Flash.
zawel
Posts: 3
Joined: Wed Apr 29, 2015 8:47 am
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
processor: i7-2600
ram: 16GB
Video Card: low end NVidia
Corel programs: AfterShot Pro

Re: Corel AfterShot Pro 3 and OpenSUSE Leap 15.0

Post by zawel »

What you need are the older gstreamer libraries (0.10), Leap 15.0 comes with new (1.10) gstreamer only. I have created repo for such purpose: http://download.opensuse.org/repositori ... Leap_15.0/, add it from root command line:

Code: Select all

#zypper ar http://download.opensuse.org/repositories/home:/zawel1:/gstreamer/openSUSE_Leap_15.0/home:zawel1:gstreamer.repo
or via Yast2->Software->Software Repositories->Add.
Obviously, any other repo providing gstreamer-0.10 will do the job: https://software.opensuse.org/package/gstreamer-0_10.
FlashPhoto
Posts: 3
Joined: Fri Nov 10, 2017 8:36 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit

Re: Corel AfterShot Pro 3 and OpenSUSE Leap 15.0

Post by FlashPhoto »

Hello,

Thank you very much for your answer.
I added the repo and installed Aftershot Pro without any problems.
Thanks ! :-)

Flash.
rainer042
Posts: 57
Joined: Mon Jul 30, 2012 7:48 am
operating_system: Linux
System_Drive: C
32bit or 64bit: 64 Bit

Re: Corel AfterShot Pro 3 and OpenSUSE Leap 15.0

Post by rainer042 »

You can also simply install the old versions from Leap 42.3 Repos/DVD whatever. This also worked fine for me.

Have a nice day
Rainer
Post Reply